https://bugs.gentoo.org/930539
https://github.com/dino/dino/issues/1576
https://github.com/dino/dino/commit/a90edd05389d2f8011eccda3acd5f24f3948b8b5

From a90edd05389d2f8011eccda3acd5f24f3948b8b5 Mon Sep 17 00:00:00 2001
From: Rico Tzschichholz <ricotz@ubuntu.com>
Date: Sun, 28 Apr 2024 21:30:12 +0200
Subject: [PATCH] Annotating with array_null_terminated doesn't imply a missing
 array_length

Taken from https://github.com/GNOME/vala-extra-vapis/commit/6b8a3e4faaabc462f90ffcb0cf0f91991ee58077
---
 plugins/gpgme-vala/vapi/gpgme_public.vapi | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/plugins/gpgme-vala/vapi/gpgme_public.vapi b/plugins/gpgme-vala/vapi/gpgme_public.vapi
index bcf125696..4f9010c98 100644
--- a/plugins/gpgme-vala/vapi/gpgme_public.vapi
+++ b/plugins/gpgme-vala/vapi/gpgme_public.vapi
@@ -22,9 +22,9 @@ public class Key {
     public string issuer_name;
     public string chain_id;
     public Validity owner_trust;
-    [CCode(array_null_terminated = true)]
+    [CCode (array_length = false, array_null_terminated = true)]
     public SubKey[] subkeys;
-    [CCode(array_null_terminated = true)]
+    [CCode (array_length = false, array_null_terminated = true)]
     public UserID[] uids;
     public KeylistMode keylist_mode;
     // public string fpr; // requires gpgme >= 1.7.0

